# How to use examples

Notification before use
-------------------------------------------------------
This document provides a brief usage guide and mentions only the devices for all examples.  

In the path of each example file, there is a documentation file named 'doc.md' or 'doc.html'.  
For detailed descriptions and usage instructions for each example file, please refer to the respective documentation file.  


## Examples  

| No. | Function                        | Product Line                                         | Description                                  |
|-----|---------------------------------|------------------------------------------------------|----------------------------------------------|
| 01   | Connection            | Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series, Ezi-MOTIONLINK Plus-E Series, Ezi-IO Ethernet Series | Check connection and network to the product via the FASTECH library. |
| 02   | ParameterTest         | Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series, Ezi-MOTIONLINK Plus-E Series | Change the parameters of the product.                       |
| 03   | InputPinControl       | Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series            | Control the input pins of the product.                      |
| 04   | OutputPinControl      |                                                               | Control the output pins of the product.                     |
| 05   | JogMovement           | Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series, Ezi-MOTIONLINK Plus-E Series | Execute the Jog movement.                                  |
| 06   | JogMovementEx         |                                                               | Execute a Jog move with acceleration and deceleration time values. |
| 07   | MoveAbsIncPos         |                                                               | Execute absolute position or incremental position moves.    |
| 08   | MoveAbsIncPosEx       |                                                               | Execute absolute position or incremental position moves with acceleration and deceleration time values. |
| 09   | PositionOverride      |                                                               | Execute the position override function.                     |
| 10   | VelocityOverride      |                                                               | Execute the velocity override function.                     |
| 11   | OriginSearch          | Ezi-SERVOII Plus-E Series, Ezi-MOTIONLINK Plus-E Series       | Execute the origin search operation.                        |
| 12   | SetPositionTable      | Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series, Ezi-MOTIONLINK Plus-E Series | Create and execute the Position Table.                      |
| 13   | PushStop              | Ezi-SERVOII Plus-E Series, Ezi-MOTIONLINK Plus-E Series       | Execute the 'Push Motion' in 'Stop Mode'.                   |
| 14   | PushNonStop           |                                                               | Execute the 'Push Motion' in 'Non-Stop Mode'.               |
| 15   | GetInput              | Ezi-IO Ethernet Series                                         | Read the current input pins of the IO module.               |
| 16   | Latch                 |                                                               | Read the input pin and latch counts of the IO module for a given period of time. |
| 17   | SetOutput             |                                                               | Set the output pin of the IO module.                        |
| 18   | Trigger               |                                                               | Set and execute the trigger of the IO module.               |
| 19   | IOLevel               |                                                               | Set the IO level of the IO module.                          |
| 20   | MoveLinearAbsIncPos   | More than 2 axes of Ezi-SERVOII Plus-E Series, Ezi-STEPII Plus-E Series, Ezi-MOTIONLINK Plus-E Series | Execute linear interpolation movements for two axes of motors. |
| 21   | ConfigAD              | Ezi-IO Ethernet AD Series                                      | Change the configuration of the AD module.                  |
| 22   | ReadAD                |                                                               | Read the output value of the AD module.                     |
| 23   | ConfigDAC             | Ezi-IO Ethernet DA Series                                      | Change the configuration of the DAC module.                 |
| 24   | SetDACValue           |                                                               | Set the input values for the DAC product.                   |
| 25   | SetCounterConfig      | Ezi-IO Ethernet Counter Series                                 | Change the configuration of the counter module.             |
| 26   | CounterCommand        |                                                               | Configure the 'Counter Status'.                             |
| 27   | SetCounterTrigger     |                                                               | Set up the 'Counter Trigger' and check its operation. (Motor required) |
